Bug 444469 - chown tab completion doens't handle user:group syntax coirrectly
chown tab completion doens't handle user:group syntax coirrectly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 11:22 EDT by Matthew Miller
Modified: 2010-10-25 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 15:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2008-04-28 11:22:30 EDT
You can do "chown mattdm.ap[tab]", but "chown mattdm:ap[tab]" results in "chown
apache" (oops!). This is particulary odd because if you do "chown mat[tab]" you
get "chown mattdm: " with a : on the end.
Comment 1 Ville Skyttä 2008-04-28 13:07:01 EDT
I can't reproduce this on F-8, 20060301-10.  Sound similar as bug 444466, maybe
something's changed wrt. colon handling in F-9/Rawhide bash?
Comment 2 Matthew Miller 2008-04-28 13:17:38 EDT
On a CentOS 5 box (which is to say, circa FC6) with bash-completion-20060301-10
rebuilt and installed I get different misbehavior -- it completes 'chown
mat[tab]' to "chown mattdm\: ", and then if I backspace and hit tab again I see
all the group options but if I then continue with 'chown mattdm\:mat[tab]' it
completes that to "chown mattdm\\\:mattdm", which of course is also wrong.

So I agree, *something* has changed. But it wasn't right before either. :)
Comment 3 Ville Skyttä 2008-04-28 13:24:35 EDT
That's what I see on F-8 too, but I'd like to first concentrate on the
regression, then see if something could be done to the original issue.

Could you post your F-9 output with set -x for "chown mattdm:apa[TAB]"?  As said
I suspect this is the same issue as #444466 but the output there (thanks btw) is
quite complicated, this test case could produce a simpler one.
Comment 4 Matthew Miller 2008-04-28 13:30:41 EDT
$ chown mattdm:apa+ local cur
+ cur=mattdm:apa
+ [[ mattdm:apa == -* ]]
+ _count_args
+ args=1
+ (( i=1 ))
+ (( i < COMP_CWORD ))
+ case $args in
+ _usergroup
+ local 'IFS=
'
+ cur=mattdm:apa
+ [[ mattdm:apa = *@(\\:|.)* ]]
+ [[ mattdm:apa = *:* ]]
+ '[' -n '3.2.33(1)-release' ']'
+ COMPREPLY=($( compgen -g -- ${cur##*[.:]} ))
++ compgen -g -- apa
        apache 
Comment 5 Ville Skyttä 2008-04-28 15:40:29 EDT
Damn, I have no clue what might be causing this.  The output I get on F-8 is
exactly the same as yours except for the last line, yours is "<TAB>apache" (or
maybe <TAB> is 8 spaces), mine is "che":

-        apache
+che

...and there's nothing between the F-8 and devel bash packages that would look
like a possible culprit, there's just one trivial .bash_logout change and a GCC
4.3 rebuild.  And I can't reproduce in a mock Rawhide x86_64 shell either.  Ideas?
Comment 6 Ville Skyttä 2008-05-05 14:00:49 EDT

*** This bug has been marked as a duplicate of 444466 ***
Comment 7 Matthew Miller 2008-05-05 14:09:38 EDT
I'm gonna reopen this one, because while the problem with it entirely eating the
word does seem to be gvfs's fault, the incorrect behavior in Comment #2 is still
there.
Comment 8 Bug Zapper 2008-05-14 06:18:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ville Skyttä 2008-11-13 14:53:49 EST
Bug 444466 deals with the gvfs issue, so I suppose this should be assigned back to bash-completion.  Or actually, based on the info I've been able to find, perhaps to bash itself or closed CANTFIX, see e.g. http://bugs.gentoo.org/show_bug.cgi?id=67108#c5 .  Thoughts?
Comment 10 Bug Zapper 2009-06-09 20:29:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 08:01:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ville Skyttä 2010-04-27 14:12:07 EDT
This has been fixed after bash-completion 1.1 upstream; the next version (which I hope isn't that far in the future) should contain the fix.
Comment 13 Fedora Update System 2010-06-20 06:56:40 EDT
bash-completion-1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bash-completion-1.2-1.fc13
Comment 14 Fedora Update System 2010-07-01 14:59:32 EDT
bash-completion-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-10-04 13:27:37 EDT
bash-completion-1.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.2-3.el5
Comment 16 Fedora Update System 2010-10-25 12:34:09 EDT
bash-completion-1.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.